/*================================================================================
	Item Name: Vuexy - Vuejs, HTML & Laravel Admin Dashboard Template
	Version: 2.0
	Author: PIXINVENT
	Author URL: http://www.themeforest.net/user/pixinvent
================================================================================

NOTE:
------
PLACE HERE YOUR OWN SCSS CODES AND IF NEEDED, OVERRIDE THE STYLES FROM THE OTHER STYLESHEETS.
WE WILL RELEASE FUTURE UPDATES SO IN ORDER TO NOT OVERWRITE YOUR STYLES IT'S BETTER LIKE THIS.  */
.required:not(span)::before {
    content: "* ";
    color: #f00;
    font-weight: bold;
}
.rounded-xl {
    border-radius: 16px !important;
}
.crop-photo-square {
    position: relative;
    overflow: hidden;
    height: 100px;
    width: 100px; /* Adjust the maximum width as needed */
    margin: 0 auto;
}

.crop-photo-square::before {
    content: "";
    padding-top: 100%; /* Creates a square container */
    display: block;
}

.crop-photo-square img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Maintain aspect ratio while cropping */
}

.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;  /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;

    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;

    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;

    /* Support for IE. */
    font-feature-settings: 'liga';
  }
/*.modal {
    z-index: 1050;  Adjust the value as needed
}*/
.swal2-confirm {
background-color: var(--bs-primary) !important;
color: white; /* Set text color to white for better contrast */
}
.swal2-cancel {
background-color: var(--bs-dark) !important;
color: white; /* Set text color to white for better contrast */
}
.swal2-deny {
background-color: var(--bs-danger) !important;
color: white; /* Set text color to white for better contrast */
}
.btn-tab {
    background-color: white;
    border-radius: 16px;
    padding: 6px 12px;
    border: 2px solid white;
}
.btn-tab-active{
    border: 2px solid var(--bs-primary);
    color: var(--bs-primary);
    font-weight: 600;
}
